Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIServletRequestUtil

    java.lang.Object
      org.apache.catalina.ssi.SSIServletRequestUtil

    public class SSIServletRequestUtil

extends Object

Constructor Summary
`SSIServletRequestUtil()`

Method Summary
`static String` | `getRelativePath(HttpServletRequest request)` Return the relative path associated with this servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIServletRequestUtil

    public SSIServletRequestUtil()

Method Detail

### getRelativePath

    public static String getRelativePath(HttpServletRequest request)

  Return the relative path associated with this servlet. Taken from DefaultServlet.java. Perhaps this should be put in org.apache.catalina.util somewhere? Seems like it would be widely used.

  Parameters:
    `request` - The servlet request we are processing

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.